 <!DOCTYPE html>
<html lang="en">
<head>
<meta name="viewport"
	content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>HyperHTML Examples</title>

<!-- Bootstrap import -->
<link rel="stylesheet" href="../resources/css/oreillybs-4.0.0r1.min.css" />

<!-- Project CSS import -->
<link type="text/css" href="../resources/css/master.css"
	rel="stylesheet" />

<!-- O'Reilly hyperHTML JS -->
<script src="../resources/js/oreillyjs/1/orly.js"></script>

<!-- Hyper JS -->
<!-- There is not need for this library since we have our own hyperHTML library (above) -->
<!-- <script src="https://unpkg.com/hyperhtml@latest/min.js"></script> -->

<style>
body {
	padding: 5px 5px;
}

code, pre {
	background-color: #aaa;
}
</style>
</head>
<body>


	<!-- Even Specificity Example -->
	<!-- Which style wins? Why? -->
<!-- <h1>Even Specificity Example</h1>
<p class="evenSpecificity">
    Paragraph 1
</p>
<style>
p.evenSpecificity {
    color: red;
}

p.evenSpecificity {
    color: blue;
} 
</style> -->




	<!-- :not Pseudo Class Example -->
<!-- <h1>:not Pseudo Class Example</h1>
<p>Some paragraph</p>
<style>
body :not(p) {
    color: crimson;
}
</style> -->





	<!-- Rule Mixing Example -->
	<!-- Why does the ... huh -->
<!-- <h1>Rule Mixing Example</h1>
<p class="myCoolClass">paragraph one (class=myCoolClass)</p>
<p class="myCoolClass">paragraph two (class=myCoolClass)</p>
<p id="last-paragraph" class="myCoolClass">paragraph three
	(class=myCoolClass id=last-paragraph)</p>
<style>
/* font-size and color are still applied to
   #last, since those are not overridden */
.myCoolClass {
	color: blue;
}
#last-paragraph {
	color: red;
	font-size: 20px;
}
/* this color (green) overrides 
   the one before (blue) */
.myCoolClass {
	color: green;
	border: 1px solid gray;
}
</style> -->






	<!-- Another Specificity Example -->
<!-- <h1>Another Specificity Example</h1>
<p>
	<span>Span 1</span>
</p>
<div>
	<span>Span 2</span>
</div>
<div id="test">
  <span>Span 3</span>
</div>
<style>
span { 
	color: red; 
}
div span { 
	color: blue; 
}
div#test span { 
	color: green; 
}
</style> -->




	<!-- !important Example 1 -->
	<!-- An ID has more specificity than a class. -->
	<!-- So why is "3" visible?                   -->
<!-- <h1>!important Example 1</h1>
<p class="myclass">
	one <a href="#">link</a>
</p> 
<p class="myclass">
	two
</p>
<p id="last" class="myclass">
	3
</p>
<style>
.myclass {
    display: block !important;
    visibility: visible;
}
#last {
    display: none;
}
p {
	visibility: hidden;
}
</style> -->



	<!-- !important Example 2 -->
<!-- <h1>!important Example 2</h1>
<h3>Test !important (again)</h3>
<p class="test2 better">
    paragraph 1
</p>
<p class="test2 better" id="losing">
    paragraph 2
</p>
<style>
p.test2 {
  background-color: blue;
  color: white;
  padding: 5px;
}

.better {
  background-color: gray;
  border: none !important;
}

#losing {
  background-color: red;
  border: 15px solid black;
}
</style> -->






	<!-- !important Example 3 -->
<!-- <h1>!important Example 3</h1>
<table class="table table-bordered table-striped">
  <tr>
    <td class="myTable">My Table</td>
  </tr>
</table>
<style>
table td {
    height: 20px !important;
    font-size: 20px !important;
    color: red !important;
}
/* OVERRIDE!!! */
table td.myTable {
    height: 40px !important;
    font-size: 40px !important;
    color: blue !important;
}
</style> -->




	<!-- Tree Proximity Example -->
	<!-- Does tree proximity matter in this example? -->
	<!-- The body tag is "closer" to h1 than the html tag (in the DOM) -->
	<!-- Does source order matter in this example? -->
<!-- <h1>Tree Proximity Example</h1>
<style>
body h1 {
  color: green;
}
html h1 {
  color: purple;
}
</style> -->



	<!-- Inherit Example 1 -->
<!-- <h1>Inherit Example</h1>
<p class="inheritColor">
    Inherit Color for <a href="#">Link</a>
</p>
<style>
.inheritColor {
    color: red;
}

.inheritColor a {
    color: inherit;
}
</style> -->




	<!-- Initial Example 1 -->
	<!-- THIS EXAMPLE BREAKS IN THE ECLIPSE BROWSER! -->
	<!-- THIS EXAMPLE WORKS IN GOOGLE CHROME AND FF! -->
<!-- <div>
  <h1>Initial Example</h1>
  <p>
    Some paragraph.
  </p>
</div>
<style>
/* div {
    color: red; 
} */
body{
	color:blue;
}
h1 {
    color: inherit; 
}
</style> -->




	<!-- Initial Example 2 with !important -->
	<!-- THIS EXAMPLE BREAKS IN THE ECLIPSE BROWSER! -->
	<!-- THIS EXAMPLE WORKS IN GOOGLE CHROME AND FF! -->
<!-- <div>
	<h1>Initial Example</h1>
	<p>Some paragraph.</p>
	<p class="myinitialclass">Some Second Paragraph</p>

</div>

<style>
div {
    color: #ff0000 !important; 
}
h1 {
    color: initial; 
}
p {
	margin-top: 50px;
	margin-bottom: 0px;
}
.myinitialclass {
	margin-top: initial;
}
</style> -->





	<!-- Unset Example -->
<!-- <h1>Unset Example</h1>
<p>This text is red.</p>
<div class="foo">
  <p>This text is also red.</p>
</div>
<div class="bar">
  <p>
      This text is green (inherited from parent div, when color:unset).
  </p>
</div>
<p class="klass">
  This text is black (document default, when color:unset).
</p>
<style>
.foo {
  color: blue;
}
.bar {
  color: green;
}
p {
  color: red;
}
.bar p {
  color: unset;
}
.klass {
  color: unset;
}
</style> -->





</body>
</html>